package com.eactive.eai.common.b2bservice;

import java.io.Serializable;

import com.eactive.eai.common.message.EAIMessageKeys;

public class B2BServiceVO implements EAIMessageKeys, Serializable {
	private static final long serialVersionUID = 1L;

	private String b2bExtnlInstiCd; // 기관코드[TSEAIHE03.ExtnlInstiIdnfiName]
	private int svcPssSeq; // 서비스처리번호[TSEAIHE03.SvcPrcssNo]
	private String psvItfTp; // 수동인터페이스구분명[TSEAIHE03.PsvIntfacDsticName] - PassiveInterfaceType -
								// [SYNC|ASYN|AKON]
	private String psvBwkSysNm; // 수동시스템업무구분코드[TSEAIHE03.PsvSysBzwkDstcd] - PassiveBusinessWorkSystemName - [
								// 3|4 자리 KB표준업무시스템명 사용 ]
	private String psvSysID; // 수동시스템ID명[TSEAIHE03.PsvSysIDName] - PassiveSystemIdentifier - KB표준시스템ID Naming
								// Rule을 따른다.
	private String psvSysSvcCd; // 수동시스템서비스구분명[TSEAIHE03.PsvSysSvcDsticName] - PassiveSystemServiceCode -
	private String psvSysItfTp; // 수동시스템어댑터업무그룹명[TSEAIHE03.PsvSysAdptrBzwkGroupName] -
								// PassiveSystemInterfaceType -[Adapter_업무명_OUT]
	private String flOvrCls; // 장애극복여부[TSEAIHE03.FlovrYn] - FailOverClassification -[Y|N]
	private String cnvEn; // 변환유무[TSEAIHE03.ChngEonot] - ConversionExistenceOrNot -[Y|N]
	private String cnvMsgID; // 변환메시지ID명[TSEAIHE03.ChngMsgIDName] - ConversionMessageIdentifier
	private String bsRspMsgCprVl; // 기본응답메시지비교내용[TSEAIHE03.BascRspnsMsgCmprCtnt] -
									// BasisResponseMessageCompareValue
	private String bsRspCnvEn; // 기본응답변환유무[TSEAIHE03.BascRspnsChngEonot] -
								// BasisResponseConversionExistenceOrNot -[Y|N]
	private String bsRspCnvMsgID; // 기본응답변환메시지ID명[TSEAIHE03.BascRspnsChngMsgIDName] -
									// BasisResponseConversionMessageIdentifier
	private String errRspMsgCprVl; // 오류응답메시지비교내용[TSEAIHE03.ErrRspnsMsgCmprCtnt] - ErrorResponseMessageCompareValue
	private String errRspCnvEn; // 오류응답변환유무[TSEAIHE03.ErrRspnsChngEonot] - ErrorResponseConversionExistenceOrNot
								// -[Y|N]
	private String errRspCnvMsgID; // 오류응답변환메시지ID명[TSEAIHE03.ErrRspnsChngMsgIDName] -
									// ErrorResposneConversionIdentifier
	private int nxtSvcPssSeq; // 다음서비스처리번호[TSEAIHE03.NextSvcPrcssNo] - NextServiceProcessSequence
	private String outbRtnNm; // 아웃바운드라우팅명[TSEAIHE03.OutbndRoutName] - OutboundRoutingName
	private int tmoVl; // 타임아웃값[TSEAIHE03.ToutVal] - TimeoutValue(단위: 초)
	private String cpnsSvcPssCd; // 보상서비스처리구분명[TSEAIHE03.CmpenSvcPrcssDsticName] - CompensationServiceProcessCode

	// 추가됨 - ServiceMessage에 추가됨에 따라 수정
	private String supplDelYn; // 추가삭제여부[TSEAIHE03.SupplDelYn] -[Y/N]
	private String hdrCtrlDstcd; // 헤더제어구분코드[TSEAIHE03.HdrCtrlDstcd] -[01/02]삭제제추가/추가삭제
	private String hdrRefClsName; // 참고틀래스명[TSEAIHE03.HdrRefClsName] -com.eactive.eai.common.header.PPSHeaderUtil
	private String useYn; // 사용여부[TSEAIHE03.UseYn] -[1/0]

	public String getSupplDelYn() {
		return supplDelYn;
	}

	public void setSupplDelYn(String supplDelYn) {
		this.supplDelYn = supplDelYn;
	}

	public String getHdrCtrlDstcd() {
		return hdrCtrlDstcd;
	}

	public void setHdrCtrlDstcd(String hdrCtrlDstcd) {
		this.hdrCtrlDstcd = hdrCtrlDstcd;
	}

	public String getHdrRefClsName() {
		return hdrRefClsName;
	}

	public void setHdrRefClsName(String hdrRefClsName) {
		this.hdrRefClsName = hdrRefClsName;
	}
	// END 추가됨 - ServiceMessage에 추가됨에 따라 수정

	public String getB2bExtnlInstiCd() {
		return this.b2bExtnlInstiCd;
	}

	public void setB2bExtnlInstiCd(String b2bExtnlInstiCd) {
		this.b2bExtnlInstiCd = b2bExtnlInstiCd;
	}

	public String getBsRspCnvEn() {
		return bsRspCnvEn;
	}

	public boolean isBsRspCnvEn() {
		return this.bsRspCnvEn.equals(YES_FLAG);
	}

	public void setBsRspCnvEn(String bsRspCnvEn) {
		this.bsRspCnvEn = bsRspCnvEn;
	}

	public String getBsRspCnvMsgID() {
		return bsRspCnvMsgID;
	}

	public void setBsRspCnvMsgID(String bsRspCnvMsgID) {
		this.bsRspCnvMsgID = bsRspCnvMsgID;
	}

	public String getBsRspMsgCprVl() {
		return bsRspMsgCprVl;
	}

	public void setBsRspMsgCprVl(String bsRspMsgCprVl) {
		this.bsRspMsgCprVl = bsRspMsgCprVl;
	}

	public String getCnvEn() {
		return cnvEn;
	}

	public boolean isCnvEn() {
		return this.cnvEn.equals(YES_FLAG);
	}

	public void setCnvEn(String cnvEn) {
		this.cnvEn = cnvEn;
	}

	public String getCnvMsgID() {
		return cnvMsgID;
	}

	public void setCnvMsgID(String cnvMsgID) {
		this.cnvMsgID = cnvMsgID;
	}

	public String getCpnsSvcPssCd() {
		return cpnsSvcPssCd;
	}

	public void setCpnsSvcPssCd(String cpnsSvcPssCd) {
		this.cpnsSvcPssCd = cpnsSvcPssCd;
	}

	public String getErrRspCnvEn() {
		return errRspCnvEn;
	}

	public boolean isErrRspCnvEn() {
		return this.errRspCnvEn.equals(YES_FLAG);
	}

	public void setErrRspCnvEn(String errRspCnvEn) {
		this.errRspCnvEn = errRspCnvEn;
	}

	public String getErrRspCnvMsgID() {
		return errRspCnvMsgID;
	}

	public void setErrRspCnvMsgID(String errRspCnvMsgID) {
		this.errRspCnvMsgID = errRspCnvMsgID;
	}

	public String getErrRspMsgCprVl() {
		return errRspMsgCprVl;
	}

	public void setErrRspMsgCprVl(String errRspMsgCprVl) {
		this.errRspMsgCprVl = errRspMsgCprVl;
	}

	public String getFlOvrCls() {
		return flOvrCls;
	}

	public boolean hasFailOver() {
		return this.flOvrCls.equals(YES_FLAG);
	}

	public void setFlOvrCls(String flOvrCls) {
		this.flOvrCls = flOvrCls;
	}

	public int getNxtSvcPssSeq() {
		return nxtSvcPssSeq;
	}

	public void setNxtSvcPssSeq(int nxtSvcPssSeq) {
		this.nxtSvcPssSeq = nxtSvcPssSeq;
	}

	public String getOutbRtnNm() {
		return outbRtnNm;
	}

	public void setOutbRtnNm(String outbRtnNm) {
		this.outbRtnNm = outbRtnNm;
	}

	public String getPsvBwkSysNm() {
		return psvBwkSysNm;
	}

	public void setPsvBwkSysNm(String psvBwkSysNm) {
		this.psvBwkSysNm = psvBwkSysNm;
	}

	public String getPsvItfTp() {
		return psvItfTp;
	}

	public boolean isSyncItfTp() {
		return this.psvItfTp.equals(SYNC_SVC);
	}

	public boolean isAckItfTp() {
		return this.psvItfTp.equals(ACKONLY_SVC);
	}

	public void setPsvItfTp(String psvItfTp) {
		this.psvItfTp = psvItfTp;
	}

	public String getPsvSysID() {
		return psvSysID;
	}

	public void setPsvSysID(String psvSysID) {
		this.psvSysID = psvSysID;
	}

	public String getPsvSysItfTp() {
		return psvSysItfTp;
	}

	public void setPsvSysItfTp(String psvSysItfTp) {
		this.psvSysItfTp = psvSysItfTp;
	}

	public String getPsvSysSvcCd() {
		return psvSysSvcCd;
	}

	public void setPsvSysSvcCd(String psvSysSvcCd) {
		this.psvSysSvcCd = psvSysSvcCd;
	}

	public int getTmoVl() {
		return tmoVl;
	}

	public boolean hasTimeOut() {
		return (this.tmoVl > 0);
	}

	public void setTmoVl(int tmoVl) {
		this.tmoVl = tmoVl;
	}

	public int getSvcPssSeq() {
		return svcPssSeq;
	}

	public void setSvcPssSeq(int seq) {
		svcPssSeq = seq;
	}

	public String getUseYn() {
		return useYn;
	}

	public void setUseYn(String useYn) {
		this.useYn = useYn;
	}

	@Override
	public String toString() {
		return "B2BServiceVO [b2bExtnlInstiCd=" + b2bExtnlInstiCd + ", svcPssSeq=" + svcPssSeq + ", psvItfTp="
				+ psvItfTp + ", psvBwkSysNm=" + psvBwkSysNm + ", psvSysID=" + psvSysID + ", psvSysSvcCd=" + psvSysSvcCd
				+ ", psvSysItfTp=" + psvSysItfTp + ", flOvrCls=" + flOvrCls + ", cnvEn=" + cnvEn + ", cnvMsgID="
				+ cnvMsgID + ", bsRspMsgCprVl=" + bsRspMsgCprVl + ", bsRspCnvEn=" + bsRspCnvEn + ", bsRspCnvMsgID="
				+ bsRspCnvMsgID + ", errRspMsgCprVl=" + errRspMsgCprVl + ", errRspCnvEn=" + errRspCnvEn
				+ ", errRspCnvMsgID=" + errRspCnvMsgID + ", nxtSvcPssSeq=" + nxtSvcPssSeq + ", outbRtnNm=" + outbRtnNm
				+ ", tmoVl=" + tmoVl + ", cpnsSvcPssCd=" + cpnsSvcPssCd + ", supplDelYn=" + supplDelYn
				+ ", hdrCtrlDstcd=" + hdrCtrlDstcd + ", hdrRefClsName=" + hdrRefClsName + ", useYn=" + useYn + "]";
	}
	
	
}
